// ############################################################################################
//  vdmyenv.h
//  Definition & implementation of _CVortexAudioEnv class using dummy (NULL) audio system
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _VDMYENV_H_
#define _VDMYENV_H_

// ============================================================================================
// Header files
// ============================================================================================
// ***** C++ headers
#include <unistd.h>
// ***** VortexGE headers
#include <vthread.h>
#include <vllsbcf.h>

// ============================================================================================
// Foward references of classes
// ============================================================================================
// ***** From "vdmysb.h"
class _CVortexSoundBuffer;

// ============================================================================================
// Exported classes definition
// ============================================================================================
// ***** The audio environment class
class _CVortexAudioEnv
{
  public:
    // Constructor & destructor
    _CVortexAudioEnv();
    ~_CVortexAudioEnv();
    // Initialization functions
    _vbool QueryDeviceName(_vchar *pcResult);
    _vbool OpenDevice(_vchar *pcDeviceName);
    _vbool InitializeDevice(const _TVortexAudSettings *ptPrefered = NULL, _TVortexAudSettings *ptRealized = NULL);
    _vbool ActivateDevice(_vvoid);
    _vvoid DeactivateDevice(_vvoid);
    inline _vvoid SuspendDevice(_vvoid);
    inline _vvoid ResumeDevice(_vvoid);
    // Sound functions
    inline _vvoid UpdateBuffer(_vvoid);
};

// ############################################################################################
// Inline functions implementation
// ############################################################################################
// ============================================================================================
// From exported classes
// ============================================================================================
// --------------------------------------------------------------------------------------------
// The audio environment class
// --------------------------------------------------------------------------------------------
// ***** Initialization functions
_vvoid _CVortexAudioEnv::SuspendDevice(_vvoid)
{
}
_vvoid _CVortexAudioEnv::ResumeDevice(_vvoid)
{
}

// ***** Sound functions
_vvoid _CVortexAudioEnv::UpdateBuffer(_vvoid)
{
}

#endif
// ============================================================================================
// End of vdmyenv.h
// ============================================================================================
