// ############################################################################################
//  vdspsf.h
//  Declaration of sound functions used by _CVortexSoundBuffer class
//  using direct access to /dev/dsp
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _VDSPSFH_
#define _VDSPSFH_

// ============================================================================================
// Header files
// ============================================================================================
// ***** VortexGE headers
#include <vthread.h>

// ============================================================================================
// Exported functions prototype
// ============================================================================================
// ***** Writer functions
extern _vuint64 _DSPWriter_(_TVortexThreadData *ptThreadData);

// ***** Normal sound mixing functions
extern _vvoid _DSPMixerU8m_(_vvoid);  // For AFMT_U8 mono
extern _vvoid _DSPMixerU8s_(_vvoid);  // For AFMT_U8 stereo
extern _vvoid _DSPMixerS8m_(_vvoid);  // For AFMT_S8 mono
extern _vvoid _DSPMixerS8s_(_vvoid);  // For AFMT_S8 stereo 
extern _vvoid _DSPMixerU16m_(_vvoid); // For AFMT_U16_LE mono on little-endian computers
extern _vvoid _DSPMixerU16s_(_vvoid); // For AFMT_U16_LE stereo on little-endian computers
extern _vvoid _DSPMixerS16m_(_vvoid); // For AFMT_S16_LE mono on little-endian computers
extern _vvoid _DSPMixerS16s_(_vvoid); // For AFMT_S16_LE stereo on little-endian computers

// ***** Endian inverted sound mixing functions
extern _vvoid _DSPIMixerU16m_(_vvoid); // For AFMT_U16_BE mono on little-endian computers
extern _vvoid _DSPIMixerU16s_(_vvoid); // For AFMT_U16_BE stereo on little-endian computers
extern _vvoid _DSPIMixerS16m_(_vvoid); // For AFMT_S16_BE mono on little-endian computers
extern _vvoid _DSPIMixerS16s_(_vvoid); // For AFMT_S16_BE stereo on little-endian computers

#endif
// ============================================================================================
// End of vdspsf.h
// ============================================================================================
