// ############################################################################################
//  vaudsb.cpp
//  Definition & implementation of _CVortexSoundBuffer class
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################

// ============================================================================================
// Header files
// ============================================================================================
// ***** VortexGE headers
#include <vbtypes.h>

// ============================================================================================
// Include a specific audio system based on the build macro
// ============================================================================================
#ifdef __USE_DMY_AUDIO__
#include <auddmy/vdmysb.cpp>
#elif defined(__USE_DSP_AUDIO__)
#include <auddsp/vdspsb.cpp>
#else
#error No audio system selected
#endif

// ============================================================================================
// End of vaudsb.cpp
// ============================================================================================
