// ############################################################################################
//  vkbsym.h
//  Declaration of key and button symbol enumeration used by VortexGE
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _VKBSYM_H_
#define _VKBSYM_H_

// ============================================================================================
// Enumerations
// ============================================================================================
// ***** Key symbol constants
typedef enum _EVKS_ { VKS_UNKNOWN = 0, VKS_BS = 1000,
                      VKS_TAB, VKS_ENTER, VKS_PAUSE, VKS_SYS_REQ, VKS_ESC, VKS_DEL, VKS_PRINT,
                      VKS_KP_0, VKS_KP_1, VKS_KP_2, VKS_KP_3, VKS_KP_4, VKS_KP_5, VKS_KP_6, 
                      VKS_KP_7, VKS_KP_8, VKS_KP_9, VKS_KP_PERIOD, VKS_KP_DIV, VKS_KP_MUL,
                      VKS_KP_SUB, VKS_KP_ADD, VKS_KP_EQUAL, VKS_KP_ENTER, VKS_UP, VKS_DOWN,
                      VKS_LEFT, VKS_RIGHT, VKS_INS, VKS_HOME, VKS_END, VKS_PGUP, VKS_PGDN,
                      VKS_F1, VKS_F2, VKS_F3, VKS_F4, VKS_F5, VKS_F6, VKS_F7, VKS_F8, VKS_F9,
                      VKS_F10, VKS_F11, VKS_F12, VKS_F13, VKS_F14, VKS_F15, VKS_CAPS_LOCK,
                      VKS_NUM_LOCK_, VKS_SCROLL_LOCK, VKS_LSHIFT, VKS_RSHIFT, VKS_LCTRL, 
                      VKS_RCTRL, VKS_LALT, VKS_RALT, VKS_MENU
                    } _EVortexKeySymbol;

// ***** Button symbol constants
typedef enum _EVBS_ { VBS_UNKNOWN = 0,
                      VBS_MB1, VBS_MB2, VBS_MB3, VBS_MB4, VBS_MB5
                    } _EVortexBtnSymbol;

#endif
// ============================================================================================
// End of vkbsym.h
// ============================================================================================
