// ############################################################################################
//  vpoint2d.h
//  Definition & implementation of _TVortexPoint2D structure
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  The source codes in this file is adopted from the book :
//    Cutting-Edge 3D Game Programming with C++
//    John De Goes
//    Coriolis Group, Inc.
//    USA, 1996
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _VPOINT2D_H_
#define _VPOINT2D_H_

// ============================================================================================
// Header files
// ============================================================================================
// ***** VortexGE headers
#include <vbtypes.h>

// ============================================================================================
// Exported structures definitions
// ============================================================================================
// ***** The 2D point structure
struct _TVortexPoint2D
{
  // Variables
  _vint32 n32X, n32Y;       // The screen X and Y point
  _vint32 n32Z;             // The 1/Z value
  _vint32 n32R, n32G, n32B; // The face's color
  _vint32 n32U, n32V;       // The texture's position
  _vint32 n32F;             // The fog's intensity
  
  // Overloaded operators
  inline _vbool operator == (_TVortexPoint2D &tVPoint2D)
  {
    return((n32X == tVPoint2D.n32X) && (n32Y == tVPoint2D.n32Y));
  }
};

#endif
// ============================================================================================
// End of vpoint2d.h
// ============================================================================================
