// ############################################################################################
//  vpoint3d.cpp
//  Implementation of helper functions used by _CVortexPoint3D class
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004 Aloysius Indrayanto
//  This file is part of the VortexGE
//
//  The source codes in this file is adopted from the book :
//    Cutting-Edge 3D Game Programming with C++
//    John De Goes
//    Coriolis Group, Inc.
//    USA, 1996
//
//  This program is free software; you can redistribute it and/or modify it under the terms of 
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this 
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, 
//  Boston, MA 02111-1307 USA.
// ############################################################################################

// ============================================================================================
// Header files
// ============================================================================================
// ***** VortexGE headers
#include <vpoint3d.h>

// ============================================================================================
// Exported functions implementation
// ============================================================================================
// --------------------------------------------------------------------------------------------
// Vertex helper functions
// --------------------------------------------------------------------------------------------
// Search pclsList to determine uniquness of vertex csVPoint3D
_vbool UniqueVert(_CVortexPoint3D &csVPoint3D, _CVortexPoint3D *pcsList, _vuint32 un32Range)
{
  for(_vuint32 un32Cnt = 0; un32Cnt < un32Range; un32Cnt++)
    if(csVPoint3D == pcsList[un32Cnt]) return(false);
  return(true);
}
// Search pclsList to locate the index of a vertex that matches csVPoint3D
_vuint32 GetVertIndex(_CVortexPoint3D &csVPoint3D, _CVortexPoint3D *pcsList, _vuint32 un32Range)
{
  for(_vuint32 un32Cnt = 0; un32Cnt < un32Range; un32Cnt++)
    if(csVPoint3D == pcsList[un32Cnt]) return(un32Cnt);
  return(0);
}

// ============================================================================================
// End of vpoint3d.cpp
// ============================================================================================
